stack.sh failing with error 'nova-api did not start'

Bug #1122764 reported by swapk
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
devstack
Fix Released
Undecided
pankaj

Bug Description

i am using Ubuntu 12.04.while running stack.sh i am getting the following error.
----------------------------------------------------------------------------------------------
services=n-api
+ for service in '${services}'
+ [[ ,g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,cinder,c-sch,c-api,c-vol,n-sch,n-n ovnc,n-xvnc,n-cauth,horizon,mysql,rabbit,q-svc,q-agt,q-dhcp,q-l3, =~ ,n-api, ]]
+ return 0
+ screen_rc n-api 'cd /opt/stack/nova && /opt/stack/nova/bin/nova-api'
+ SCREEN_NAME=stack
+ SCREENRC=/opt/stack/devstack/stack-screenrc
+ [[ ! -e /opt/stack/devstack/stack-screenrc ]]
+ grep n-api /opt/stack/devstack/stack-screenrc
+ screen -S stack -X screen -t n-api
+ sleep 1.5
+ [[ -n /opt/stack/logs ]]
+ screen -S stack -p n-api -X logfile /opt/stack/logs/screen-n-api.2013-02-12-11 1718.log
+ screen -S stack -p n-api -X log on
+ ln -sf /opt/stack/logs/screen-n-api.2013-02-12-111718.log /opt/stack/logs/scre en-n-api.log
+ screen -S stack -p n-api -X stuff 'cd /opt/stack/nova && /opt/stack/nova/bin/n 'va-api
+ echo 'Waiting for nova-api to start...'
Waiting for nova-api to start...
+ timeout 60 sh -c 'while ! http_proxy= wget -q -O- http://127.0.0.1:8774; do sl eep 1; done'
+ echo 'nova-api did not start'
nova-api did not start
+ exit 1
+ clean
+ local r=1
++ jobs -p
+ kill
+ exit 1
-----------------------------------------------------------------------------
This is my nova.conf configuration:-

verbose=True
auth_strategy=keystone
allow_resize_to_same_host=True
api_paste_config=/etc/nova/api-paste.ini
rootwrap_config=/etc/nova/rootwrap.conf
compute_scheduler_driver=nova.scheduler.simple.SimpleScheduler
dhcpbridge_flagfile=/etc/nova/nova.conf
force_dhcp_release=True
fixed_range=10.0.0.0/24
s3_host=10.233.53.154
s3_port=3333
osapi_compute_extension=nova.api.openstack.compute.contrib.standard_extensions
my_ip=10.233.53.154
sql_connection=mysql://root:openstack@localhost/nova?charset=utf8
libvirt_type=qemu
libvirt_cpu_mode=none
instance_name_template=instance-%08x
image_service=nova.image.glance.GlanceImageService
enabled_apis=ec2,osapi_compute,metadata
volume_api_class=nova.volume.cinder.API
state_path=/opt/stack/data/nova
instances_path=/opt/stack/data/nova/instances
logging_context_format_string=%(asctime)s %(levelname)s %(name)s [%(request_id)s %(user_name)s %(project_name)s] %(instance)s%(message)s
network_api_class=nova.network.quantumv2.api.API
quantum_admin_username=quantum
quantum_admin_password=openstack
quantum_admin_auth_url=http://10.233.53.154:35357/v2.0
quantum_auth_strategy=keystone
quantum_admin_tenant_name=service
quantum_url=http://localhost:9696
libvirt_vif_driver=nova.virt.libvirt.vif.LibvirtHybridOVSBridgeDriver
linuxnet_interface_driver=
novncproxy_base_url=http://10.233.53.154:6080/vnc_auto.html
xvpvncproxy_base_url=http://10.233.53.154:6081/console
vncserver_listen=127.0.0.1
vncserver_proxyclient_address=127.0.0.1
ec2_dmz_host=10.233.53.154
rabbit_host=localhost
rabbit_password=openstack
glance_api_servers=10.233.53.154:9292
compute_driver=libvirt.LibvirtDriver
firewall_driver=nova.virt.libvirt.firewall.IptablesFirewallDriver
-----------------------------------------------------------------------------

swapk (sk90)
description: updated
Revision history for this message
swapk (sk90) wrote :

Additional information :-

root@vmfolsom154:~# nova-api
2013-02-13 10:20:57 5641 DEBUG nova.wsgi [-] Loading app ec2 from /etc/nova/api-
2013-02-13 10:20:57 5641 CRITICAL nova [-] [Errno 98] Address already in use
2013-02-13 10:20:57 5641 TRACE nova Traceback (most recent call last):
2013-02-13 10:20:57 5641 TRACE nova File "/usr/local/bin/nova-api", line 7, in
2013-02-13 10:20:57 5641 TRACE nova execfile(__file__)
2013-02-13 10:20:57 5641 TRACE nova File "/opt/stack/nova/bin/nova-api", line
2013-02-13 10:20:57 5641 TRACE nova server = service.WSGIService(api)
2013-02-13 10:20:57 5641 TRACE nova File "/opt/stack/nova/nova/service.py", li
2013-02-13 10:20:57 5641 TRACE nova port=self.port)
2013-02-13 10:20:57 5641 TRACE nova File "/opt/stack/nova/nova/wsgi.py", line
2013-02-13 10:20:57 5641 TRACE nova self._socket = eventlet.listen((host, po
2013-02-13 10:20:57 5641 TRACE nova File "/usr/local/lib/python2.7/dist-packag
2013-02-13 10:20:57 5641 TRACE nova sock.bind(addr)
2013-02-13 10:20:57 5641 TRACE nova File "/usr/lib/python2.7/socket.py", line
2013-02-13 10:20:57 5641 TRACE nova return getattr(self._sock,name)(*args)
2013-02-13 10:20:57 5641 TRACE nova error: [Errno 98] Address already in use
2013-02-13 10:20:57 5641 TRACE nova
-------------------------------------------------------------------------

Revision history for this message
Anil Benny (anil-benny) wrote :

I encounter the same issue... Can someone look at this?

Revision history for this message
sajuptpm (sajuptpm) wrote :
Download full text (3.2 KiB)

I am also getting [ERROR] ./stack.sh:545 nova-api did not start

+ screen_it zeromq 'cd /opt/stack/nova && /usr/local/bin/nova-rpc-zmq-receiver'
+ SCREEN_NAME=stack
+ SERVICE_DIR=/opt/stack/status
++ trueorfalse True True
++ local default=True
++ local testval=True
++ [[ -z True ]]
++ [[ 0 no false False FALSE =~ True ]]
++ [[ 1 yes true True TRUE =~ True ]]
++ echo True
++ return
+ SCREEN_DEV=True
+ is_service_enabled zeromq
+ services=zeromq
+ for service in '${services}'
+ [[ ,g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-net,n-cond,cinder,c-sch,c-api,c-vol,n-sch,n-novnc,n-xvnc,n-cauth,horizon,rabbit,tempest,mysql,
=~ ,zeromq, ]]
+ [[ zeromq == \n\o\v\a ]]
+ [[ zeromq == \c\i\n\d\e\r ]]
+ [[ zeromq == \c\e\i\l\o\m\e\t\e\r ]]
+ [[ zeromq == \g\l\a\n\c\e ]]
+ [[ zeromq == \q\u\a\n\t\u\m ]]
+ return 1
+ is_service_enabled n-api
+ services=n-api
+ for service in '${services}'
+ [[ ,g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-net,n-cond,cinder,c-sch,c-api,c-vol,n-sch,n-novnc,n-xvnc,n-cauth,horizon,rabbit,tempest,mysql,
=~ ,n-api, ]]
+ return 0
+ echo_summary 'Starting Nova API'
+ [[ -t 3 ]]
+ [[ True != \T\r\u\e ]]
+ echo -e Starting Nova API
Starting Nova API
+ start_nova_api
+ local service_port=8774
+ is_service_enabled tls-proxy
+ services=tls-proxy
+ for service in '${services}'
+ [[ ,g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-net,n-cond,cinder,c-sch,c-api,c-vol,n-sch,n-novnc,n-xvnc,n-cauth,horizon,rabbit,tempest,mysql,
=~ ,tls-proxy, ]]
+ [[ tls-proxy == \n\o\v\a ]]
+ [[ tls-proxy == \c\i\n\d\e\r ]]
+ [[ tls-proxy == \c\e\i\l\o\m\e\t\e\r ]]
+ [[ tls-proxy == \g\l\a\n\c\e ]]
+ [[ tls-proxy == \q\u\a\n\t\u\m ]]
+ return 1
+ screen_it n-api 'cd /opt/stack/nova && /usr/local/bin/nova-api'
+ SCREEN_NAME=stack
+ SERVICE_DIR=/opt/stack/status
++ trueorfalse True True
++ local default=True
++ local testval=True
++ [[ -z True ]]
++ [[ 0 no false False FALSE =~ True ]]
++ [[ 1 yes true True TRUE =~ True ]]
++ echo True
++ return
+ SCREEN_DEV=True
+ is_service_enabled n-api
+ services=n-api
+ for service in '${services}'
+ [[ ,g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-net,n-cond,cinder,c-sch,c-api,c-vol,n-sch,n-novnc,n-xvnc,n-cauth,horizon,rabbit,tempest,mysql,
=~ ,n-api, ]]
+ return 0
+ screen_rc n-api 'cd /opt/stack/nova && /usr/local/bin/nova-api'
+ SCREEN_NAME=stack
+ SCREENRC=/home/saju/devstack/stack-screenrc
+ [[ ! -e /home/saju/devstack/stack-screenrc ]]
+ grep n-api /home/saju/devstack/stack-screenrc
++ echo -ne '\015'
+ NL=$'\r'
+ echo 'screen -t n-api bash'
"'echo 'stuff "cd /opt/stack/nova && /usr/local/bin/nova-api
+ screen -S stack -X screen -t n-api
+ [[ -n '' ]]
+ [[ True = \T\r\u\e ]]
+ sleep 1.5
++ echo -ne '\015'
+ NL=$'\r'
+ screen -S stack -p n-api -X stuff 'cd /opt/stack/nova &&
/usr/local/bin/nova-a'i || touch
"/opt/stack/status/stack/n-api.failure"
+ echo 'Waiting for nova-api to start...'
Waiting for nova-api to start...
+ wait_for_service 60 http://192.168.1.5:8774
+ local timeout=60
+ local url=http://192.168.1.5:8774
+ timeout 60 sh -c 'while ! http_proxy= https_proxy= curl -s
http://192.168.1.5:8774 >/dev/null; do sleep 1; done'
+ die 545 'nova-api did not start'
+ local exitcode=0
+ '[' 0 == 0 ']'
+ exitcode=1
+ set +o xtrace
...

Read more...

Revision history for this message
wingerted (wingerted) wrote :

I have get the ERROR too....

Revision history for this message
Sean M. Collins (scollins) wrote :

Hi,

I am experiencing this issue as well, but the cause is different. It appears that DevStack has not been updated to handle nova commit 584b2fb4b0a1968699f8d2dd4b0a2af67e7dca8c - which removes the /bin directory.

http://paste.openstack.org/show/38446/

Revision history for this message
Peeyush Gupta (peeygupt) wrote :

I am having the same issue. Did anyone find any fix yet?

Revision history for this message
pankaj (pankaj-rawat) wrote :

Experienced the same problem in installing devstack.
I am able to solve the problem. The problem is in the package dependency for nova-api

following error comes when i execute ./stack.sh
http://paste.openstack.org/show/39239/

After analyzing the log i executed /usr/bin/nova-api
http://paste.openstack.org/show/39240/

>> ImportError: No module named cliff.formatters
As you can see it is an import error for cliff module

 Its an development environment issue.
yum install python-cliff or pip install cliff will resolve the issue.

pankaj (pankaj-rawat)
Changed in devstack:
assignee: nobody → pankaj (pankaj-rawat)
status: New → Invalid
status: Invalid → Confirmed
pankaj (pankaj-rawat)
Changed in devstack:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.